Subject: Re: [gaia] Review required: draft-irtf-gaia-alternative-network-deployments

From: Nicolás Echániz <[email-masked]>
Date: Mon, 11 Apr 2016 21:14:33 -0300

I sent this e-mail to [email-masked], I'm re-sending it here to contribute to the current debate.

--------------------------------------------------------------------------

Hi everyone,

We've been very busy in Argentina regarding the negative impact the change in government has had on many state policies that had to do with digital inclusion and I'm just now being able to look at stuff that piled up during the past months.

Commenting on this draft was one of those things I wanted to do so here it goes.

I'm referring to this version:
https://tools.ietf.org/html/draft-irtf-gaia-alternative-network-deployments-04

Hope it's the most current one.

First of all I want to point out that when I refer to "our model" or "our experience" I'm referring to these networks:

http://libremap.net/#bbox/-41.869560826994544,-82.529296875,-21.779905342529634,-40.5615234375

... which are based on AlterMundi's community network model, based mainly on Libre-Mesh firmware which we co-develop: http://libre-mesh.org/

and a basic hardware/antenna reference that we recommend after some years of experience deploying community networks in small towns and rural areas in Latin America (mostly Argentina):
http://youtu.be/luI5eEMa6BQ
https://www.newamerica.org/oti/do-it-yourself-antennas-for-community-networks/
https://www.youtube.com/watch?v=_3LyuF2qSSY

I just mention this info for context because I've found no reference to Latin American experiences in the document and maybe our approach to this matter has some peculiarities worth mentioning.

Please know I'm not trying to be disrespectful with the work being done, I consider it to be important. I just want to give you our point of view and my personal impressions as a Community Networks activist from Latin America that started in the "old days" (2003) and saw quite a bit of the evolution our projects experimented during all these years.

So... regarding the document itself these are my observations so far:

# Regarding point 3

"For the purpose of this document, a distinction between "global
north" and "global south" zones is made, highlighting the factors
related to ICT ..."

Coming from the "global south" the approach reads like an over-simplification. In many Latin American countries (which by the proposede definition are part of that south) the legal debate is more advanced than in the north. Take Network Neutrality for example, which is law at least in Chile and Argentina while many northern countries are still debating it.
Other examploes: Community Networks are considered as a special case in Argentina Digital law; Uruguay has an extensive long-running OLPC program, Argentina has one also (with more than 5.000.000 computers delivered to every child studying in public schools)... There are many more examples of policy in Latin America that are very poorly described by this over-simplification.
There are also counter-examples regarding the Global North, where legislation is actually hindering the realization of a Free Internet. Take the FCC ruling which is now making router providers close their routers as one example[-1]. Or the Gag Law in Spain [0] which would be unacceptable in many "global south" countries.

The terms "global south/north" are actually not used in most of the document so the whole definition seems overkill or out of place. Do a search for "global south" outside the definitions to check this.
If I were to decide, I'd replace Global South for the more standard "Developing countries" (which is also ugly but does not need a long definition) in the two or three places where the other term is used and just avoid the definition altogether.

On the other hand, citing some existing legal/regulatory best and worst practices around the world could actually be an interesting addition to the document.

# Regarding section 7.1.1 on IP addressing

"Most known Alternative Networks started in or around the year 2000.
IPv6 was fully specified by then, but almost all Alternative Networks
still use IPv4. A survey [Avonts] indicated that IPv6 rollout
presents a challenge to Community Networks."

It would be interesting to detail here the experiences that have evolved during the past years in different community networks which are already deploying IPv6.[1]
In our case, we were the first group of networks in the region to provide public IPv6 to end users[2], which we put in effect on the IPv6 World Launch day in 2012.
The Avonts survey cited is from 2013 and most IPv6 adoption around the world (which is still slow) has come later than that:
https://www.google.com/intl/en/ipv6/statistics.html

# Section 7.1.2.2
When refering to bmx6, the wording: " this is an advanced version of the BATMAN protocol" is confusing as the other popular BATMAN derivative is called batman-advanced.

Maybe this section could have more extensive information as it actually represents the core of much development in the Community Network movement.

# Section Section 7.3

Fails to describe the accomplishments of current "state of the art" community networks in terms of their relation with the rest of the Internet.
The Intranet and Internet division proposed is contrary to what many people in the Community Networks movement work for.

>From our perspective (which I know is shared by others[3]), a Community Network must aspire to become a part of the Internet. Many existing community networks are Autonomous Systems and as such they should not be considered "Intranets".

>From this perspective, people participating in community networks should be able to offer locally hosted services not just to other network members but to the global Internet. We work to free the Internet, one chunk at a time, not to build parallel networks.
In order to accomplish this, networks should at least:
* obtain their own IP ranges
* deploy public IPv6 addressees to the end user devices
* interconnect the network with other Autonomous Systems in the region (preferably through Internet Exchanges)
* try to provide symmetric bandwidth to everyone

All of these steps have been taken by different projects to different extents. In the networks that deploy Libre-Mesh in Latin America, devices connected to the networks get public IPv6 and there's a DNS system in place that makes every host globally accessible through it's fully qualified name. In the region of Córdoba where the network is bigger (more than 100 nodes in 6 rural towns), we have a peering agreement with the local state university[4] (which also hosts the IXP), and the bandwidth to end users is symmetric and not artificially reduced.
IPv6 is provided through a community operated Tunnel Broker[5] where no native IPv6 routing can be achieved and through native deployment and peer agreements where possible.

There are many interesting cases that are not represented by this section of the document. I believe further research or direct participation from the people involved is needed to get this to a state where it better describes the current standards in Community Networks. The section actually looks like a description of the state of community networks 10 years ago...

Let me know if I can be of further assistance contacting other people or providing a better description of the cases we know of.

Cheers!
Nico

[-1] http://www.wired.com/2016/03/way-go-fcc-now-manufacturers-locking-routers/

[0] http://pillku.com/article/ipv6-en-redes-libres-la-experiencia-de-ninux/

[1] https://revolution-news.com/spanish-congress-approves-draconian-laws-essentially-sending-spain-back-to-the-dark-ages/

[2] https://blog.altermundi.net/article/ips-publicas-para-todo-el-mundo/

[3] http://pillku.com/article/las-redes-libres-y-la-ipv6-como-medio-para-llegar-/
http://pillku.com/article/redes-libres-redes-de-pares/

[4] http://lg.beta.as6453.net/prefix_bgpmap/mtt/ipv4?q=138.255.88.1
https://blog.altermundi.net/article/altermundi-ya-es-un-sistema-autonomo/

[5] http://docs.altermundi.net/LibreNet6/